# Uses of Interface
org.apache.zookeeper.metrics.Gauge

Packages that use Gauge
Package
Description
org.apache.zookeeper.metrics
org.apache.zookeeper.metrics.impl

## Uses of Gauge in org.apache.zookeeper.metrics

Methods in org.apache.zookeeper.metrics with parameters of type Gauge
Modifier and Type
Method
Description
`void`
MetricsContext.`registerGauge(String name, Gauge gauge)`
Registers an user provided `Gauge` which will be called by the MetricsProvider in order to sample an integer value.

## Uses of Gauge in org.apache.zookeeper.metrics.impl

Methods in org.apache.zookeeper.metrics.impl with parameters of type Gauge
Modifier and Type
Method
Description
`void`
NullMetricsProvider.NullMetricsContext.`registerGauge(String name, Gauge gauge)`